function skill104()


player.ChangeDP(0,32,5)
player.CreateSE(32,3911)

	for hi=1,9,1 do
	
		if battle.GetPlacePlayerID(hi)~=0 then  --指定位置是否有活人

		
		   	ai=10
			for si=0,9,1  do
				if battle.CheckPlayerStat(battle.GetPlacePlayerID(hi),si)==1 then  --是否有不利状态
				   player.RemoveStat(0,battle.GetPlacePlayerID(hi),si) --清除
				   player.AddStat(0,battle.GetPlacePlayerID(hi),100,ai,3)
				   player.ChangeDP(0,battle.GetPlacePlayerID(hi),5)
				   player.CreateSE(battle.GetPlacePlayerID(hi),3911)
				   ai=ai+1 
				end    
			
			end
		
		end
	end
	
	
	----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,45)==1 then --有担当状态
	   	  player.RemoveStat(0,pisd,10)--清除状态 
	   end 
	end 
	
end 



----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,47)==1 then --有担当暴怒
	   	  player.RemoveStat(0,pisd,13)--清除状态 
	   end 
	end 
	
end 



----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,43)==1 or battle.CheckPlayerStat(pisd,44)==1 then --有担当反正、庇护 
	   	  player.RemoveStat(0,pisd,11)--清除状态 
	   end 
	end 
	
end


----判断是否有高级状态 
for pis=1,9,1
do
	if battle.CheckPlayerPlace(pis)==1 then --判断有人 
	   pisd=battle.GetPlacePlayerID(pis) --位置人id
	   if battle.CheckPlayerStat(pisd,46)==1 or battle.CheckPlayerStat(pisd,85)==1 then --有担当反正、庇护 
	   	  player.RemoveStat(0,pisd,12)--清除状态 
	   end 
	end 
	
end	
end